## gspiceui 0.9.99+dfsg

=== Makefile ===
#******************************************************************************
#                                  Makefile                                   *
#                                 ----------                                  *
# Description : Makefile for GNU Spice GUI project house-keeping.             *
# Started     : 08/01/2004                                                    *
# Last update : 05/02/2010                                                    *
# Copyright   : (C) 2004 by MSWaters                                          *
# Email       : M.Waters@bom.gov.au                                           *
#******************************************************************************

#******************************************************************************
#                                                                             *
#     This program is free software; you can redistribute it and/or modify    *
#     it under the terms of the GNU General Public License as published by    *
#     the Free Software Foundation; either version 2 of the License, or       *
#     (at your option) any later version.                                     *
#                                                                             *
#******************************************************************************

#******************************************************************************
# Specify string values
#******************************************************************************

# Root directory
ROOT := $(shell pwd)

# Install directory
INSTALLDIR = /usr/local

#******************************************************************************
# Make these targets
#******************************************************************************

all :
	$(MAKE) config
	cd $(ROOT)/src ; $(MAKE)

#******************************************************************************
# Calculate the size of the various sources making up this project
#******************************************************************************

size :
	$(ROOT)/charcnt >> charcnt.txt

#******************************************************************************
# Create an archive of the essential project files as follows :
#
#   1.  Change the make variable "DIR" (below) to the current version number.
#   2.  Execute "make tar" from the project root directory.
#******************************************************************************

TAR_NAME=gspiceui-v0.9.99
TAR_DEST= $(TAR_NAME)/$(TAR_NAME).tar.gz
TAR_SRCS =$(TAR_NAME)/Authors
TAR_SRCS+=$(TAR_NAME)/ChangeLog
TAR_SRCS+=$(TAR_NAME)/Install
TAR_SRCS+=$(TAR_NAME)/License
TAR_SRCS+=$(TAR_NAME)/Makefile
TAR_SRCS+=$(TAR_NAME)/ReadMe
TAR_SRCS+=$(TAR_NAME)/ToDo
TAR_SRCS+=$(TAR_NAME)/gspiceui.1
TAR_SRCS+=$(TAR_NAME)/gspiceui.lsm
TAR_SRCS+=$(TAR_NAME)/src/*
TAR_SRCS+=$(TAR_NAME)/html/Makefile
TAR_SRCS+=$(TAR_NAME)/html/*.html
TAR_SRCS+=$(TAR_NAME)/html/*.jpeg
TAR_SRCS+=$(TAR_NAME)/sch/Makefile
TAR_SRCS+=$(TAR_NAME)/sch/*/*.sch
TAR_SRCS+=$(TAR_NAME)/lib/Makefile
TAR_SRCS+=$(TAR_NAME)/lib/*/*.mod
TAR_SRCS+=$(TAR_NAME)/lib/sym/*
TAR_SRCS+=$(TAR_NAME)/mac/Info.plist
TAR_SRCS+=$(TAR_NAME)/mac/GSpiceUI.icns
TAR_SRCS+=$(TAR_NAME)/fig/Makefile
TAR_SRCS+=$(TAR_NAME)/fig/*.fig

tar :
	make clean
	cd fig ; make ; cd ..
	cd .. ; mv gspiceui $(TAR_NAME)
	cd .. ; tar --totals --exclude .svn -zcf $(TAR_DEST) $(TAR_SRCS)
	cd .. ; mv $(TAR_NAME) gspiceui

#******************************************************************************
# Perform configuration tasks
#******************************************************************************

# Everyone should call this once
config :
ifneq ($(ROOT)/bin,$(wildcard $(ROOT)/bin))
	mkdir $(ROOT)/bin
endif
ifneq ($(ROOT)/src/obj,$(wildcard $(ROOT)/src/obj))
	mkdir $(ROOT)/src/obj
endif

# You should also call this once if running on a MAC
maccfg : $(ROOT)/mac/Info.plist $(ROOT)/mac/GSpiceUI.icns
ifneq ($(ROOT)/GSpiceUI.app,$(wildcard $(ROOT)/GSpiceUI.app))
	-mkdir $(ROOT)/GSpiceUI.app
	-mkdir $(ROOT)/GSpiceUI.app/Contents
	-mkdir $(ROOT)/GSpiceUI.app/Contents/MacOS
	-mkdir $(ROOT)/GSpiceUI.app/Contents/Resources
	cp $(ROOT)/mac/Info.plist $(ROOT)/GSpiceUI.app/Contents/
	echo -n 'APPL????' > $(ROOT)/GSpiceUI.app/Contents/PkgInfo
	cp $(ROOT)/mac/GSpiceUI.icns $(ROOT)/GSpiceUI.app/Contents/Resources/
endif

#******************************************************************************
# Perform installation tasks
#******************************************************************************

install :
	mkdir -p     $(INSTALLDIR)/share/gspiceui
	cp ReadMe    $(INSTALLDIR)/share/gspiceui
	cp Install   $(INSTALLDIR)/share/gspiceui
	cp ChangeLog $(INSTALLDIR)/share/gspiceui
	mkdir -p     $(INSTALLDIR)/share/gspiceui/icons
	cp src/icons/gspiceui-*.xpm $(INSTALLDIR)/share/gspiceui/icons
	mkdir -p $(INSTALLDIR)/share/man/man1
	cp gspiceui.1 $(INSTALLDIR)/share/man/man1
	cd $(ROOT)/src  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
	cd $(ROOT)/html ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)

#******************************************************************************
# Perform uninstall tasks
#******************************************************************************

uninstall :
	rm -fr $(INSTALLDIR)/share/gspiceui
	rm -f  $(INSTALLDIR)/share/man/man1/gspiceui.1
	cd $(ROOT)/src  ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
	cd $(ROOT)/html ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)

#******************************************************************************
# Remove temporary files and backup files
#******************************************************************************

clean :
	rm -f Makefile~ charcnt~
	cd $(ROOT)/src  ; $(MAKE) clean
	cd $(ROOT)/html ; $(MAKE) clean
	cd $(ROOT)/sch  ; $(MAKE) clean

#******************************************************************************
# Specify phony targets
#******************************************************************************

.PHONY : size tar config install uninstall clean

#******************************************************************************
