=== debian/changelog ===
gspiceui (0.9.99+dfsg-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove README.source
  * Bump standards version to 3.9.1
  * Upgrade copyright file to new standard
  * Fix make clean target

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 24 Mar 2011 07:11:16 +0100

gspiceui (0.9.98.dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3, no changes needed
  * Add get-orig-source target
  * Add patch 03_fix_xpm_header to fix xpm file
  * Add a README.source file
  * Add debian-science Vcs fields

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 15 Nov 2009 09:42:46 +0100

gspiceui (0.9.65.dfsg-2) unstable; urgency=low

  * Bump standards version to 3.8.0. No changes needed.
  * Fix watch file
  * Add desktop file (Closes: #488281)
  * Add a patch to fix manpage, 02_manpage

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 26 Aug 2008 08:07:43 +0200

gspiceui (0.9.65.dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards to 3.7.3. No changes needed
  * Changed doc-base section to Applications/Science/Electronics

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 28 May 2008 10:01:39 +0200

gspiceui (0.9.55.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Wed, 21 Nov 2007 00:06:52 +0100

gspiceui (0.9.33.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #440553)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 04 Nov 2007 17:21:03 +0100
