=== debian/control ===
Source: gspiceui
Section: electronics
Priority: optional
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 5), libwxbase2.8-dev, libwxgtk2.8-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.geda.seul.org/tools/gspiceui/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gspiceui/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gspiceui/trunk
DM-Upload-Allowed: yes

Package: gspiceui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gwave, geda-gschem, geda-gnetlist
Recommends: gnucap
Suggests: ngspice
Description: A graphical user interface for gnucap and ngspice
 Gspiceui is a graphichal user interface for the two freely available
 electronic circuit engines: GNU-Cap and Ng-Spice
 Current features are:
  * Import gschem schematic files using gentlist.
  * Load and parse circuit description (net list) files.
  * Provides a GUI interface for GNU-Cap OP, DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * Provides a GUI interface for Ng-Spice DC, AC and Transient analyses and
 generates appropriate simulator commands based on user input. 
  * The raw output may be viewed for any processes initiated by gspiceui. 
  * Formatting of simulator output so that it may be plotted using gwave
