=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) INSTALLDIR=$(CURDIR)/debian/gspiceui/usr install
	rm -f debian/gspiceui/usr/share/gspiceui/INSTALL
	mv -f debian/gspiceui/usr/share/gspiceui/* debian/gspiceui/usr/share/doc/gspiceui/
	rmdir debian/gspiceui/usr/share/gspiceui
	mkdir -p debian/gspiceui/usr/share/pixmaps
	cp src/icons/gspiceui-32x32.xpm debian/gspiceui/usr/share/pixmaps

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p'); \
	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
	tar -xz --exclude lib -f gspiceui_$$VER.orig.tar.gz ; \
	mv gspiceui-v$$VER gspiceui-$$VER+dfsg;\
	tar -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
	rm -rf gspiceui-$$VER+dfsg ;\
	rm -f gspiceui_$$VER.orig.tar.gz);

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
