## gspiceui 1.0.00%2Bdfsg

=== debian/changelog ===
gspiceui (1.0.00+dfsg-1) unstable; urgency=low

  [ Gudjon I. Gudjonsson ]
  * New upstream release
  * Comment out patch 04_close_pipe.diff. Already in upstream
  * Bump standards version to 3.9.3
  * Minor fix to 02_manpage patch
  * Add build-arch and build-indep targets
  * Change desktop category from Science to Engineering;Electronics
  * Minor fix to manpage
  * Remove duplicate changelog file.
  * Install gspiceui.desktop file (Closes: #584154)
  * Add LDFLAGS --as-needed to remove unneeded dependencies
  * Remove quilt build dependency

  [ Andreas Tille ]
  * debian/rules: take some effort to make a more reproducable orig
    tarball
  * debian/control: Fixed Vcs field

  [ Gudjon I. Gudjonsson ]
  * Add a lintian override file
  * Bump debhelper version to >=8
  * Change copyright format do DEP5
  * Edit README.Debian

  [ Andreas Tille ]
  * Better fit the DEP5 specification, verified using
      cme fix dpkg-copyright

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 07 May 2012 18:01:38 +0200
