## gspiceui 1.0.00+dfsg

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #                                 ----------                                  *
 # Description : Makefile for GNU Spice GUI project house-keeping.             *
 # Started     : 08/01/2004                                                    *
-# Last update : 05/02/2010                                                    *
+# Last update : 29/09/2011                                                    *
 # Copyright   : (C) 2004 by MSWaters                                          *
 # Email       : M.Waters@bom.gov.au                                           *
 #******************************************************************************
@@ -18,14 +18,30 @@
 #******************************************************************************
 
 #******************************************************************************
+# Any or all of the values in this section may be set below or on the command
+# line when envoking make eg. :
+#
+#   make INSTALLDIR=/new/dest/dir install
+#   make INSTALLDIR=/new/dest/dir uninstall
+#
+# Note : Values specified on the command line over-ride those specified below.
+#******************************************************************************
+
+#DESTDIR = /new/dest/dir
+
+# Install directory
+ifndef DESTDIR
+  INSTALLDIR = /usr/local
+else
+  INSTALLDIR = $(DESTDIR)
+endif
+
+#******************************************************************************
 # Specify string values
 #******************************************************************************
 
 # Root directory
 ROOT := $(shell pwd)
-
-# Install directory
-INSTALLDIR = /usr/local
 
 #******************************************************************************
 # Make these targets
@@ -40,16 +56,16 @@
 #******************************************************************************
 
 size :
-	$(ROOT)/charcnt >> charcnt.txt
+	$(ROOT)/charcnt.sh >> charcnt.txt
 
 #******************************************************************************
 # Create an archive of the essential project files as follows :
 #
-#   1.  Change the make variable "DIR" (below) to the current version number.
+#   1.  Change the make variable "TAR_NAME" (below) to the current version no.
 #   2.  Execute "make tar" from the project root directory.
 #******************************************************************************
 
-TAR_NAME=gspiceui-v0.9.99
+TAR_NAME=gspiceui-v1.0.00
 TAR_DEST= $(TAR_NAME)/$(TAR_NAME).tar.gz
 TAR_SRCS =$(TAR_NAME)/Authors
 TAR_SRCS+=$(TAR_NAME)/ChangeLog
@@ -63,10 +79,11 @@
 TAR_SRCS+=$(TAR_NAME)/src/*
 TAR_SRCS+=$(TAR_NAME)/html/Makefile
 TAR_SRCS+=$(TAR_NAME)/html/*.html
-TAR_SRCS+=$(TAR_NAME)/html/*.jpeg
+TAR_SRCS+=$(TAR_NAME)/html/*.jpg
 TAR_SRCS+=$(TAR_NAME)/sch/Makefile
 TAR_SRCS+=$(TAR_NAME)/sch/*/*.sch
 TAR_SRCS+=$(TAR_NAME)/lib/Makefile
+TAR_SRCS+=$(TAR_NAME)/lib/*/*.ckt
 TAR_SRCS+=$(TAR_NAME)/lib/*/*.mod
 TAR_SRCS+=$(TAR_NAME)/lib/sym/*
 TAR_SRCS+=$(TAR_NAME)/mac/Info.plist
@@ -121,6 +138,8 @@
 	cp gspiceui.1 $(INSTALLDIR)/share/man/man1
 	cd $(ROOT)/src  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
 	cd $(ROOT)/html ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
+	cd $(ROOT)/sch  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
+	cd $(ROOT)/lib  ; $(MAKE) install INSTALLDIR=$(INSTALLDIR)
 
 #******************************************************************************
 # Perform uninstall tasks
@@ -129,8 +148,6 @@
 uninstall :
 	rm -fr $(INSTALLDIR)/share/gspiceui
 	rm -f  $(INSTALLDIR)/share/man/man1/gspiceui.1
-	cd $(ROOT)/src  ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
-	cd $(ROOT)/html ; $(MAKE) uninstall INSTALLDIR=$(INSTALLDIR)
 
 #******************************************************************************
 # Remove temporary files and backup files
@@ -138,9 +155,10 @@
 
 clean :
 	rm -f Makefile~ charcnt~
-	cd $(ROOT)/src  ; $(MAKE) clean
+	cd $(ROOT)/src  ; $(MAKE) cleanall
 	cd $(ROOT)/html ; $(MAKE) clean
 	cd $(ROOT)/sch  ; $(MAKE) clean
+	cd $(ROOT)/lib  ; $(MAKE) clean
 
 #******************************************************************************
 # Specify phony targets
