=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #                                 ----------                                  *
 # Description : Builds the GNU Spice GUI (gSpiceUI) C++ source files.         *
 # Started     : 18/08/2003                                                    *
-# Last update : 16/04/2010                                                    *
+# Last update : 12/08/2011                                                    *
 # Copyright   : (C) 2003 by MSWaters                                          *
 # Email       : M.Waters@bom.gov.au                                           *
 #******************************************************************************
@@ -21,12 +21,12 @@
 # Any or all of the values in this section may be set below or on the command
 # line when envoking make eg. :
 #
-#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.6
+#   make GSPICEUI_DBG=1 GSPICEUI_WXLIB=2.9
 #
 # Note : Values specified on the command line over-ride those specified below.
 #******************************************************************************
 
-# Create bin file containing debug info. (ie. for gdb)
+# Create bin file containing debug information (ie. for gdb)
 GSPICEUI_DBG = 0
 
 # Specify the version of the wxWidgets library to compile against
@@ -45,7 +45,7 @@
 # wxWidgets configuration utility
 # (Arguments can be passed to wx-config to specify the version of wxWidgets to
 # use, whether unicode is required, etc.)
-WXCFG = wx-config --unicode --version=$(GSPICEUI_WXLIB)
+WXCFG = /usr/bin/wx-config --unicode --version=$(GSPICEUI_WXLIB)
 
 # Dependency file
 DEPS = Makefile.deps
@@ -61,7 +61,7 @@
 # Compiler options
 ifeq ($(GSPICEUI_DBG),0)
   # Options for release (not using -Wall since it's GCC specific)
-  CXXFLAGS := -O -pipe $(shell $(WXCFG) --cxxflags)
+  CXXFLAGS := -Ofast -pipe $(shell $(WXCFG) --cxxflags)
 else
   # Options for development
   CXXFLAGS := -Wall -g -pipe $(shell $(WXCFG) --cxxflags)
@@ -72,19 +72,18 @@
 
 # Libraries
 # (The pkg-config stuff was requested by a user, somehow pangox was missing)
-LIBS := $(shell $(WXCFG) --libs core,base,html) $(shell pkg-config --libs pangox)
+LIBS := $(shell $(WXCFG) --libs core,base,html) \
+        $(shell pkg-config --libs-only-l pangox)
 
 # Objects
 OBJS := $(wildcard *.cpp) $(wildcard */*.cpp) $(wildcard */*/*.cpp)
 OBJS := $(notdir $(OBJS))
 OBJS := $(patsubst %.cpp, obj/%.o, $(OBJS))
-OBJS += obj/iStrCmp.o
 
 # Set search paths for the specific file types
-vpath  %.cpp  base main netlist process utility                       \
-              ngspice ngspice/commands ngspice/dialogs ngspice/panels \
-              gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
-vpath  %.c    utility
+vpath   %.cpp   base main netlist process utility                       \
+                ngspice ngspice/commands ngspice/dialogs ngspice/panels \
+                gnucap  gnucap/commands  gnucap/dialogs  gnucap/panels
 
 #******************************************************************************
 # Make these targets
@@ -100,8 +99,7 @@
 
 obj/%.o : %.cpp
 	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
-obj/%.o : %.c
-	$(CC) -c $(CXXFLAGS) $(INCLUDES) $< -o $@
+	@echo
 
 # Linker Rules :
 #   -pipe  use pipes rather temporary files for interprocess communications
@@ -126,7 +124,7 @@
 #******************************************************************************
 
 deps :
-	$(CC) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp */*.c | \
+	$(CC) -MM -D wxCHECK_VERSION="" -I. *.cpp */*.cpp */*/*.cpp | \
 	gawk 'BEGIN {} { printf "%s%s\n", (index($$0," ")!=1 ? "$(OBJDIR)/" : ""), $$0 }' \
 	> $(DEPS)
 
@@ -139,49 +137,53 @@
 	      ../bin/testcmdngsac  ../bin/testcmdngstr  ../bin/testcmdgcpopt   \
 	      ../bin/testcmdgcppr  ../bin/testcmdgcpop  ../bin/testcmdgcpdc    \
 	      ../bin/testcmdgcpac  ../bin/testcmdgcptr  ../bin/testcmdgcpfo    \
-	      ../bin/testcmdgcpgen
-
-../bin/testnetlist     : NetList.cpp Component.cpp iStrCmp.c ConvertType.cpp  \
-                         TypeDefs.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_NETLIST     $(INCLUDES) $^ -o $@ $(LIBS)
-../bin/testcomponent   : Component.cpp ConvertType.cpp iStrCmp.c
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_COMPONENT   $(INCLUDES) $^ -o $@ $(LIBS)
+	      ../bin/testcmdgcpgen ../bin/teststrutils
+
+../bin/testnetlist     : NetList.cpp Component.cpp StrUtils.cpp TypeDefs.cpp \
+                         ConvertType.cpp
+	$(CC) $(CXXFLAGS) -D TEST_NETLIST     $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/testcomponent   : Component.cpp ConvertType.cpp StrUtils.cpp
+	$(CC) $(CXXFLAGS) -D TEST_COMPONENT   $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testconverttype : ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CONVERTTYPE $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CONVERTTYPE $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/teststrutils    : StrUtils.cpp Component.cpp ConvertType.cpp
+	$(CC) $(CXXFLAGS) -D TEST_STRUTILS    $(INCLUDES) $^ -o $@ $(LIBS)
 
 ../bin/testcmdngsopt   : CmdNgSpiceOPT.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSOPT   $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSOPT   $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngspr    : CmdNgSpicePR.cpp CmdBase.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSPR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSPR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngsdc    : CmdNgSpiceDC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSDC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSDC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngsac    : CmdNgSpiceAC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSAC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSAC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdngstr    : CmdNgSpiceTR.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDNGSTR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDNGSTR    $(INCLUDES) $^ -o $@ $(LIBS)
 
 ../bin/testcmdgcpopt   : CmdGnuCapOPT.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOPT   $(INCLUDES) $^ -o $@ $(LIBS)
-../bin/testcmdgcppr    : CmdGnuCapPR.cpp CmdBase.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPPR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPOPT   $(INCLUDES) $^ -o $@ $(LIBS)
+../bin/testcmdgcppr    : CmdGnuCapPR.cpp CmdBase.cpp NetList.cpp TypeDefs.cpp \
+                         ConvertType.cpp Component.cpp StrUtils.cpp
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPPR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpop    : CmdGnuCapOP.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPOP    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPOP    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpdc    : CmdGnuCapDC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPDC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPDC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpac    : CmdGnuCapAC.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPAC    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPAC    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcptr    : CmdGnuCapTR.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPTR    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPTR    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpfo    : CmdGnuCapFO.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPFO    $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPFO    $(INCLUDES) $^ -o $@ $(LIBS)
 ../bin/testcmdgcpgen   : CmdGnuCapGEN.cpp CmdBase.cpp ConvertType.cpp
-	$(CC) $(CXXFLAGS) -Wall -g -D TEST_CMDGCPGEN   $(INCLUDES) $^ -o $@ $(LIBS)
+	$(CC) $(CXXFLAGS) -D TEST_CMDGCPGEN   $(INCLUDES) $^ -o $@ $(LIBS)
 
 #******************************************************************************
 # Install the application
 #******************************************************************************
 
 install :
+	mkdir -p $(INSTALLDIR)/bin
 	cp ../bin/$(PROG) $(INSTALLDIR)/bin
 
 #******************************************************************************
@@ -190,12 +192,13 @@
 
 uninstall :
 	rm -f $(INSTALLDIR)/bin/$(PROG)
+#	rmdir --ignore-fail-on-non-empty $(INSTALLDIR)/bin
 
 #******************************************************************************
 # Remove old versions of the main application binary and object files
 #******************************************************************************
 
-clean :
+clean : cleantests
 	rm -f $(BINDIR)/$(PROG) $(OBJDIR)/*.o
 
 #******************************************************************************
