=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: electronics
 Priority: optional
 Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 5), libwxbase2.8-dev, libwxgtk2.8-dev, quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), libwxbase2.8-dev, libwxgtk2.8-dev
+Standards-Version: 3.9.3
 Homepage: http://www.geda.seul.org/tools/gspiceui/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/gspiceui/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-science/packages/gspiceui/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/gspiceui/trunk
 DM-Upload-Allowed: yes
 
@@ -14,7 +14,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, gwave, geda-gschem, geda-gnetlist
 Recommends: gnucap
 Suggests: ngspice
-Description: A graphical user interface for gnucap and ngspice
+Description: Graphical user interface for gnucap and ngspice
  Gspiceui is a graphichal user interface for the two freely available
  electronic circuit engines: GNU-Cap and Ng-Spice
  Current features are:
