=== debian/rules ===
--- 
+++ 
@@ -12,24 +12,28 @@
 	CFLAGS += -O2
 endif
 
-build: build-stamp
-
-build-stamp:
+build: build-arch build-indep
+build-arch: build-arch-stamp
+build-arch-stamp:
 	dh_testdir
 	$(MAKE)
 	touch $@
 
+build-indep: build-indep-stamp
+build-indep-stamp:
+
+
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f *-stamp
 	[ ! -f Makefile ] || $(MAKE) clean
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	$(MAKE) INSTALLDIR=$(CURDIR)/debian/gspiceui/usr install
 	rm -f debian/gspiceui/usr/share/gspiceui/INSTALL
@@ -37,6 +41,9 @@
 	rmdir debian/gspiceui/usr/share/gspiceui
 	mkdir -p debian/gspiceui/usr/share/pixmaps
 	cp src/icons/gspiceui-32x32.xpm debian/gspiceui/usr/share/pixmaps
+	mkdir -p debian/gspiceui/usr/share/applications
+	cp debian/gspiceui.desktop debian/gspiceui/usr/share/applications/
+	rm -f debian/gspiceui/usr/share/doc/gspiceui/ChangeLog
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -52,6 +59,7 @@
 	dh_installmenu
 	dh_installman
 	dh_link
+	dh_lintian
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -66,7 +74,7 @@
 	uscan --force-download --rename --download-version=$$VER --destdir=. && (\
 	tar -xz --exclude lib -f gspiceui_$$VER.orig.tar.gz ; \
 	mv gspiceui-v$$VER gspiceui-$$VER+dfsg;\
-	tar -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
+	GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -czf gspiceui_$$VER+dfsg.orig.tar.gz gspiceui-$$VER+dfsg; \
 	rm -rf gspiceui-$$VER+dfsg ;\
 	rm -f gspiceui_$$VER.orig.tar.gz);
